services:
  ddns:
    image: qmcgaw/ddns-updater
    user: 0:0
    container_name: ddns
    restart: unless-stopped
    ports:
      - "8000:8000/tcp"
    environment:
      - TZ=America/Edmonton
      - PERIOD=5m
      - PUBLICIP_FETCHERS=http
      - PUBLICIP_HTTP_PROVIDERS=all
      - CONFIG={"settings":[{"provider":"desec","domain":"${DESEC_DOMAIN}","host":"@","token":"${DESEC_TOKEN}","ip_version":"ipv4"}]}
      
    volumes:
      - /docker/core/ddns:/updater/data